using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SqlDataSource1.ConnectionString = @"data source=.;initial catalog=northwind;integrated security=true";
        SqlDataSource1.SelectCommand = "select employeeID,FirstName,LastName from employees";
        SqlDataSource1.UpdateCommand = "update employees set firstname=@FirstName,lastname=@LastName where employeeid=@EmployeeID";
        SqlDataSource1.UpdateParameters.Add("@FirstName", "");
        SqlDataSource1.UpdateParameters.Add("@LastName", "");
        SqlDataSource1.UpdateParameters.Add("@EmployeeID", "");


        if (!IsPostBack)
        {
            GridView1.DataSourceID = "SqlDataSource1";

            GridView1.AutoGenerateColumns = false;
            GridView1.DataKeyNames = new string[] { "EmployeeID" };
            GridView1.AllowPaging = true;
            GridView1.AllowSorting = true;
            GridView1.PageSize = 5;

            BoundField bf1 = new BoundField();
            BoundField bf2 = new BoundField();
            BoundField bf3 = new BoundField();

            bf1.HeaderText = "Employee ID";
            bf1.DataField = "EmployeeID";
            bf1.ReadOnly = true;
            bf1.SortExpression = "EmployeeID";

            bf2.HeaderText = "First Name";
            bf2.DataField = "FirstName";
            bf2.SortExpression = "FirstName";

            bf3.HeaderText = "Last Name";
            bf3.DataField = "LastName";
            bf3.SortExpression = "LastName";

            CommandField cf = new CommandField();
            cf.ButtonType = ButtonType.Button;
            cf.ShowCancelButton = true;
            cf.ShowEditButton = true;

            GridView1.Columns.Add(bf1);
            GridView1.Columns.Add(bf2);
            GridView1.Columns.Add(bf3);
            GridView1.Columns.Add(cf);

        }
    }
}
